Content-type: text/html

# uglMesaGetSetColor

Section: WRS (3)
Updated: AOUT 2001
Index Return to Main Contents

## NAME

uglMesaSetColor - Make color allocation in indexed mode

## SYNOPSIS

#include <GL/uglmesa.h>

GLboolean uglMesaSetColor(GLubyte index, GLfloat red, GLfloat green, GLfloat blue);

## DESCRIPTION

The uglMesaSetColor function makes color allocation in indexed mode.

This function does nothing in RGB mode.

## INPUT VALUES

index - Value for the current color index

red - Red component (between 0 and 1)

green - Green component (between 0 and 1)

blue - Blue component (between 0 and 1)

## RETURN VALUES

GL_TRUE if success, or GL_FALSE if index<0 or clutSize<index, red, green and blue are not between 0.0 and 1.0.

## COPYRIGHT

Copyright © 2001 Wind River Systems, Inc.

## Index

NAME
SYNOPSIS
DESCRIPTION
INPUT VALUES
RETURN VALUES
COPYRIGHT

This document was created by man2html, using the manual pages.
Time: 09:32:47 GMT, August 30, 2001